commit ceb6f7938534ed7faf1b1b9324365435bac9715c
Author: H.J. Lu <hjl.tools@gmail.com>
Date:   Fri Oct 24 10:23:19 2025

    x86: builtin-fabs-2.c: Also scan (%edi) for x32
    
    Adjust gcc.target/i386/builtin-fabs-2.c to scan both (%rdi) and (%edi).
    
            PR target/122323
            * gcc.target/i386/builtin-fabs-2.c: Also scan (%edi)for x32.
    
    Signed-off-by: H.J. Lu <hjl.tools@gmail.com>
    (cherry picked from commit 77c8be11d85d9f204d2eb1ba3c5d0cbf3cbce277)

diff --git a/gcc/testsuite/gcc.target/i386/builtin-fabs-2.c b/gcc/testsuite/gcc.target/i386/builtin-fabs-2.c
index 093fd2ef8b9..dba3f8f4b53 100644
--- a/gcc/testsuite/gcc.target/i386/builtin-fabs-2.c
+++ b/gcc/testsuite/gcc.target/i386/builtin-fabs-2.c
@@ -8,7 +8,7 @@
 **foo:
 **...
 **	ja	.L[0-9]+
-**	movss	4\(%rdi\), %xmm1
+**	movss	4\(%(e|r)di\), %xmm1
 **	orps	%xmm1, %xmm0
 **	comiss	%xmm0, %xmm2
 **	seta	%al

